Loading...
Searching...
No Matches
detail::position_t Struct Reference

struct to capture the start position of the current token More...

`#include <json.hpp>`

## Public Member Functions

constexpr | operator size_t () const
| conversion to size_t to preserve SAX interface

## Public Attributes

std::size_t | chars_read_total = 0
| the total number of characters read
std::size_t | chars_read_current_line = 0
| the number of characters read in the current line
std::size_t | lines_read = 0
| the number of lines read

## Detailed Description

struct to capture the start position of the current token

The documentation for this struct was generated from the following file:

- IO/nlohmann/json.hpp